summaryrefslogtreecommitdiff
path: root/support-files
diff options
context:
space:
mode:
authorunknown <joerg@mysql.com>2006-07-04 12:30:08 +0200
committerunknown <joerg@mysql.com>2006-07-04 12:30:08 +0200
commit945d4606bba0c00c33fe5750bd612918e65be3c2 (patch)
tree710f547b18912d6475d436341ea0b05a8ecd6512 /support-files
parentce3e4de964f656d2f35a953a88eea6e3ce20ca28 (diff)
downloadmariadb-git-945d4606bba0c00c33fe5750bd612918e65be3c2.tar.gz
When building RPMs, use the Perl script to run the tests, to automatically check SSL.
support-files/mysql.spec.sh: Use the Perl script to run the tests, because it will automatically check whether the server is configured with SSL. (The shell script needs an explicit flag, and we cannot pass that though "make".)
Diffstat (limited to 'support-files')
-rw-r--r--support-files/mysql.spec.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/support-files/mysql.spec.sh b/support-files/mysql.spec.sh
index 493a37c040c..00fc1840e1c 100644
--- a/support-files/mysql.spec.sh
+++ b/support-files/mysql.spec.sh
@@ -342,7 +342,7 @@ then
cp -fp config.log "$MYSQL_MAXCONFLOG_DEST"
fi
-make -i test-force || true
+make -i test-force.pl || true
# Save mysqld-max
./libtool --mode=execute cp sql/mysqld sql/mysqld-max
@@ -401,7 +401,7 @@ then
cp -fp config.log "$MYSQL_CONFLOG_DEST"
fi
-make -i test-force || true
+make -i test-force.pl || true
%install
RBR=$RPM_BUILD_ROOT
@@ -740,6 +740,11 @@ fi
# itself - note that they must be ordered by date (important when
# merging BK trees)
%changelog
+* Tue Jul 04 2006 Joerg Bruehe <joerg@mysql.com>
+
+- Use the Perl script to run the tests, because it will automatically check
+ whether the server is configured with SSL.
+
* Tue Jun 27 2006 Joerg Bruehe <joerg@mysql.com>
- move "mysqldumpslow" from the client RPM to the server RPM (bug#20216)